const { ApolloServer, gql } = require("apollo-server");

const schema = `
  type Query {
    hello: String
  }
`;

const typeDefs = gql(schema);

const server = new ApolloServer({
  typeDefs,
});

server.listen({ port: 5000 }).then(({ url }) => {
  console.log(`Listening on ${url}

Given the above URL and the following GraphQL schema:
${schema}
What is the curl command to query it?
The expected response is:

  {"data":{"hello":null}}

After getting the correct response, move to the next sequential file.`);
});
