const { ApolloServer, gql } = require("apollo-server");

const schema = `
  type Query {
    hello: String
    goodbye: String
  }
`;

const typeDefs = gql(schema);

const resolvers = {
  Query: {
    hello: () => "hi",
  },
};

const server = new ApolloServer({
  typeDefs,
  resolvers,
  mocks: true,
});

server.listen({ port: 5000 }).then(({ url }) => {
  console.log(`Listening on ${url}

We have a new schema:
${schema}
Let's query the new field.
1. Where does the value of the new field comes from?
   It isn't null, neither added to the resolvers.
2. Also, what happened to the value of the "hello" field?`);
});
