const { ApolloServer, gql } = require("apollo-server");

const schema = `
  type Query {
    hello: String
    goodbye: String
  }
`;

const typeDefs = gql(schema);

const resolvers = {
  Query: () => ({
    hello: () => "hi",
  }),
};

const server = new ApolloServer({
  typeDefs,
  mocks: resolvers,
});

server.listen({ port: 5000 }).then(({ url }) => {
  console.log(`Listening on ${url}

Now the mocking + overrides are working again.
Try querying for both attributes.
What changed in the response?
What changed in the code?`);
});
