const express = require("express");
const { ApolloServer, gql } = require("apollo-server-express");

const typeDefs = gql`
  type Query {
    hello: String
    goodbye: String
  }
`;

const resolvers = {
  Query: () => ({
    hello: () => "hi still",
  }),
};

const server = new ApolloServer({
  typeDefs,
  mocks: resolvers,
  playground: {},
});

const app = express();
server.applyMiddleware({ app });

const port = 5000;
app.listen({ port }, () => {
  console.log(`Listening on http://localhost:${port}${server.graphqlPath}

We now have a "/ui"! Test it on the browser:
http://localhost:${port}${server.graphqlPath}/ui

How can it possibly do completion on the schema?
What is an InstrospectionQuery?
What changed in the code?`);
});
